<template>
  <div class="container mx-auto">
    <lobby-entry-list />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  name: "Home",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const banner1 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "live_casino_bsi_banner_1"
        )
    );
    const virtualBanners = computed(
      (): Array<IThemePropertiesFromApi> =>
        themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "live_casino_bsi_banner_"
        )
    );
    const banners = virtualBanners.value.filter(
      (item) => item.HtmlId !== "live_casino_bsi_banner_1"
    );
    const authenticated = computed(() => store.state.auth);
    return {
      banner1,
      banners,
      authenticated,
    };
  },
});
</script>

<style>
.body-container .component-container {
  padding-top: 10px;
  padding-bottom: 5px;
}
</style>
